%define name perl-Unix-Syslog
%define realname Unix-Syslog
%define version 0.99
%define release 1mdk

Name:		%{name}
Summary:	Perl interface to the UNIX system logger
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
This Module provides access to the system logger available on most
UNIX system via Perl's XSUBs (Perl's C interface).

%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root)
%{perl_vendorlib}/i386-linux-thread-multi/*
%{_mandir}/*/*


%changelog
* Wed Feb 19 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.99-1mdk
- from Fco. Felix <ffelix@gescosoft.com> :
	- initial specfile
